## ea-utils 1.1.2+dfsg

=== Makefile ===
#
# $Id: Makefile 670 2013-12-13 16:47:07Z earonesty $

CC=g++
PREFIX?=/usr
BINDIR?=$(PREFIX)/bin
CFLAGS?=-O3 -I. 
CPPFLAGS?=-O3 -I.
# for debugging:
# CFLAGS?=-g -I. 
# CPPFLAGS?=-g -I.

PKG=ea-utils
REL := $(shell svnversion 2>/dev/null | perl -ne 'print $$1 if /:(\d+)/' )
VER := $(shell grep '%define ver' ${PKG}.spec | perl -ne 'print $$1 if / (\S+) *$$/')

SRC=fastq-clipper.c fastq-mcf.c fastq-multx.c fastq-join.c fastq-stats.cpp gcModel.c
BIN=fastq-mcf fastq-multx fastq-join fastq-stats fastq-clipper sam-stats varcall
TOOLS=fastx-graph gtf2bed determine-phred randomFQ alc

all: $(BIN)

debug: 
	CPPFLAGS=-g ${MAKE} $(MFLAGS) varcall

install: $(BIN) $(BINDIR)/fastq-clipper $(BINDIR)/fastq-mcf $(BINDIR)/fastq-multx $(BINDIR)/fastq-join $(BINDIR)/fastq-stats $(BINDIR)/sam-stats $(BINDIR)/varcall $(BINDIR)/fastx-graph $(BINDIR)/determine-phred $(BINDIR)/randomFQ $(BINDIR)/alc

$(BINDIR):
	mkdir -p $(BINDIR)

$(BINDIR)/%: % $(BINDIR)
	cp $< $@

dist: getrel $(PKG).${VER}-${REL}.tar.gz

# these shenanigans are done to ensure than the release in the spec file is the same as the subversion release
# a less verbose way should be possible

getrel:
	grep "${REL}" $(PKG).spec || touch $(PKG).spex

.PHONY: getrel debug

$(PKG).spec: $(PKG).spex
	perl -pe 's/%RELEASE%/${REL}/' $(PKG).spex > $(PKG).spec

$(PKG).tar.gz: Makefile $(TOOLS) $(SRC) $(PKG).spec fastq-lib.cpp fastq-lib.h sam-stats.cpp fastq-stats.cpp gcModel.c gcModel.h varcall.cpp utils.h README CHANGES google sparsehash samtools/*.c 
	rm -rf $(PKG).${VER}-${REL}
	mkdir $(PKG).${VER}-${REL}
	mkdir $(PKG).${VER}-${REL}/tidx
	mkdir $(PKG).${VER}-${REL}/samtools
	cp -nr $^ $(PKG).${VER}-${REL}
	cp -nr tidx/*.cpp tidx/*.h $(PKG).${VER}-${REL}/tidx
	cp -nr samtools/*.c samtools/*.h samtools/Makefile $(PKG).${VER}-${REL}/samtools
	tar --exclude=".svn" -cvzf $(PKG).tar.gz $(PKG).${VER}-${REL}
	rm -rf $(PKG).${VER}-${REL}

disttest: $(PKG).tar.gz
	tar -xzvf $(PKG).tar.gz
	cd $(PKG).${VER}-${REL} && make
	rm -rf $(PKG).${VER}-${REL}

$(PKG).${VER}-${REL}.tar.gz: $(PKG).tar.gz
	cp $< $@

%: %.c fastq-lib.cpp fastq-lib.h 
	$(CC) $(CFLAGS) fastq-lib.cpp -o $@ $<

%: %.cpp fastq-lib.cpp fastq-lib.h
	$(CC) $(CFLAGS) fastq-lib.cpp -o $@ $<


%: %.c gcModel.c gcModel.h
	$(CC) $(CFLAGS) gcModel.c -o $@ $<

%: %.cpp gcModel.c gcModel.h
	$(CC) $(CFLAGS) gcModel.c -o $@ $<

# why the libbam.a doesn't work?  not sure... *.o works
sam-stats: sam-stats.cpp samtools/libbam.a samtools/bam.h fastq-lib.h
ifeq ($(OS),Windows_NT)
	$(CC) $(CFLAGS) samtools/*.o -lz -lpthread -lws2_32 fastq-lib.cpp $< -o $@
else
	$(CC) $(CFLAGS) samtools/*.o -lz -lpthread fastq-lib.cpp $< -o $@
endif

samtools/libbam.a: samtools/*.c samtools/*.h
	cd samtools && make libbam.a

varcall: varcall.cpp fastq-lib.cpp tidx/tidx-lib.cpp
ifeq ($(OS),Windows_NT)
	echo varcall: not supported yet
else
	$(CC) $(CFLAGS) fastq-lib.cpp tidx/tidx-lib.cpp -o $@ $< -lgsl -lgslcblas
endif

fastq-stats: fastq-stats.cpp fastq-lib.cpp gcModel.c
	$(CC) $(CFLAGS) fastq-lib.cpp gcModel.c -o $@ $<

bam-filter:  bam-filter.cpp 
	$(CC) $(CFLAGS) fastq-lib.cpp -o $@  $< -lbamtools 

clean:
	rm -f *.o $(BIN)
	cd samtools && make clean

=== debian/changelog ===
ea-utils (1.1.2+dfsg-3) unstable; urgency=medium

  * Update build dependencies for GSL 2, change libgsl0-dev to libgsl-dev.
    (thanks to Bas Couwenberg for the patch)
    Closes: #807198

 -- Andreas Tille <tille@debian.org>  Mon, 07 Dec 2015 10:13:47 +0100

ea-utils (1.1.2+dfsg-2) unstable; urgency=medium

  * Move /usr/bin/alc to /usr/lib/debian-med/bin/alc
    Closes: #794334

 -- Andreas Tille <tille@debian.org>  Thu, 03 Dec 2015 15:33:41 +0100

ea-utils (1.1.2+dfsg-1) unstable; urgency=medium

  * Initial upload to Debian (Closes: #793585)

 -- Andreas Tille <tille@debian.org>  Sun, 26 Jul 2015 17:33:18 +0200

ea-utils (1.1.2-0biolinux4) trusty; urgency=medium

  * Re-remove utility copy of sparsehash as v2 is now in the
    PPA.
  * And don't forget to re-add the dependency

 -- Tim Booth <tbooth@ceh.ac.uk>  Thu, 22 Jan 2015 18:30:36 +0000

ea-utils (1.1.2-0biolinux2) trusty; urgency=low

  * Initial release for Bio-Linux 8
  * Build against samtools from Debian.
  * Leave utility copy of sparsehash in for now, as Trusty
    has v1 of the lib and we want v2.

 -- Tim Booth <tbooth@ceh.ac.uk>  Tue, 19 Aug 2014 16:19:00 +0100

=== debian/control ===
Source: ea-utils
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Tim Booth <tbooth@ceh.ac.uk>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               libbam-dev,
               zlib1g-dev,
               libgsl-dev,
               libsparsehash-dev (>= 2.0)
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/ea-utils.git
Vcs-Git: git://anonscm.debian.org/debian-med/ea-utils.git
Homepage: https://code.google.com/p/ea-utils/

Package: ea-utils
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         r-base-core,
         r-cran-getopt,
         r-cran-hmisc,
         r-cran-lattice,
         r-cran-survival,
         r-cran-formula,
         r-cran-ggplot2
Recommends: med-config (>= 2.1)
Description: command-line tools for processing biological sequencing data
 Ea-utils provides a set of command-line tools for processing biological
 sequencing data, barcode demultiplexing, adapter trimming, etc.
 .
 Primarily written to support an Illumina based pipeline - but should work with
 any FASTQs.
 .
 Main Tools are:
 .
  * fastq-mcf
 Scans a sequence file for adapters, and, based on a log-scaled threshold,
 determines a set of clipping parameters and performs clipping. Also does
 skewing detection and quality filtering.
  * fastq-multx
 Demultiplexes a fastq. Capable of auto-determining barcode id's based on a
 master set fields. Keeps multiple reads in-sync during demultiplexing. Can
 verify that the reads are in-sync as well, and fail if they're not.
  * fastq-join
 Similar to audy's stitch program, but in C, more efficient and supports some
 automatic benchmarking and tuning. It uses the same "squared distance for
 anchored alignment" as other tools.
  * varcall
 Takes a pileup and calculates variants in a more easily parameterized manner
 than some other tools.

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1

export CFLAGS:=$(shell dpkg-buildflags --get CFLAGS) -I/usr/include/google
export CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS) -I/usr/include/google

DEBPKGNAME     := $(shell dpkg-parsechangelog | awk '/^Source:/ {print $$2}')

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- PREFIX='$${DESTDIR}/usr'
	mv debian/$(DEBPKGNAME)/usr/bin/alc debian/$(DEBPKGNAME)/usr/bin/ea-alc

=== debian/watch ===
version=3

# Upstream was linked via Google Drive, so there is no hope of a working watchfile.
